<html>
<head>
<title>Ogre::ManualObject::TempVertex Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ManualObject.html">ManualObject</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html">TempVertex</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ManualObject::TempVertex Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ManualObject::TempVertex" -->
<p>Temporary vertex structure.  
 <a href="structOgre_1_1ManualObject_1_1TempVertex.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreManualObject_8h_source.html">OgreManualObject.h</a>&gt;</code></p>

<p><a href="structOgre_1_1ManualObject_1_1TempVertex-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#a9d4515964a3051a0b7c6b60ca65bdfdf">position</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#a19411aec4007e5d720d761e46e283aac">normal</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#a34b3f2d430ad90396d90ea5e07941da7">tangent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#af7424a293d8b620f472d0d1815ff2318">texCoord</a> [<a class="el" href="OgreConfig_8h.html#a73f03c4000193e826a1489b02ea50309">OGRE_MAX_TEXTURE_COORD_SETS</a>]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#a94d44f08aacb74e2af201a8d1e5ac63a">texCoordDims</a> [<a class="el" href="OgreConfig_8h.html#a73f03c4000193e826a1489b02ea50309">OGRE_MAX_TEXTURE_COORD_SETS</a>]</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#abdce83ba13674eba53d9658cd15ba6e7">colour</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Temporary vertex structure. </p>

<p>Definition at line <a class="el" href="OgreManualObject_8h_source.html#l00489">489</a> of file <a class="el" href="OgreManualObject_8h_source.html">OgreManualObject.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="abdce83ba13674eba53d9658cd15ba6e7"></a><!-- doxytag: member="Ogre::ManualObject::TempVertex::colour" ref="abdce83ba13674eba53d9658cd15ba6e7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#abdce83ba13674eba53d9658cd15ba6e7">Ogre::ManualObject::TempVertex::colour</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreManualObject_8h_source.html#l00496">496</a> of file <a class="el" href="OgreManualObject_8h_source.html">OgreManualObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a19411aec4007e5d720d761e46e283aac"></a><!-- doxytag: member="Ogre::ManualObject::TempVertex::normal" ref="a19411aec4007e5d720d761e46e283aac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#a19411aec4007e5d720d761e46e283aac">Ogre::ManualObject::TempVertex::normal</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreManualObject_8h_source.html#l00492">492</a> of file <a class="el" href="OgreManualObject_8h_source.html">OgreManualObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9d4515964a3051a0b7c6b60ca65bdfdf"></a><!-- doxytag: member="Ogre::ManualObject::TempVertex::position" ref="a9d4515964a3051a0b7c6b60ca65bdfdf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#a9d4515964a3051a0b7c6b60ca65bdfdf">Ogre::ManualObject::TempVertex::position</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreManualObject_8h_source.html#l00491">491</a> of file <a class="el" href="OgreManualObject_8h_source.html">OgreManualObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a34b3f2d430ad90396d90ea5e07941da7"></a><!-- doxytag: member="Ogre::ManualObject::TempVertex::tangent" ref="a34b3f2d430ad90396d90ea5e07941da7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#a34b3f2d430ad90396d90ea5e07941da7">Ogre::ManualObject::TempVertex::tangent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreManualObject_8h_source.html#l00493">493</a> of file <a class="el" href="OgreManualObject_8h_source.html">OgreManualObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="af7424a293d8b620f472d0d1815ff2318"></a><!-- doxytag: member="Ogre::ManualObject::TempVertex::texCoord" ref="af7424a293d8b620f472d0d1815ff2318" args="[OGRE_MAX_TEXTURE_COORD_SETS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector4.html">Vector4</a> <a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#af7424a293d8b620f472d0d1815ff2318">Ogre::ManualObject::TempVertex::texCoord</a>[<a class="el" href="OgreConfig_8h.html#a73f03c4000193e826a1489b02ea50309">OGRE_MAX_TEXTURE_COORD_SETS</a>]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreManualObject_8h_source.html#l00494">494</a> of file <a class="el" href="OgreManualObject_8h_source.html">OgreManualObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a94d44f08aacb74e2af201a8d1e5ac63a"></a><!-- doxytag: member="Ogre::ManualObject::TempVertex::texCoordDims" ref="a94d44f08aacb74e2af201a8d1e5ac63a" args="[OGRE_MAX_TEXTURE_COORD_SETS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="structOgre_1_1ManualObject_1_1TempVertex.html#a94d44f08aacb74e2af201a8d1e5ac63a">Ogre::ManualObject::TempVertex::texCoordDims</a>[<a class="el" href="OgreConfig_8h.html#a73f03c4000193e826a1489b02ea50309">OGRE_MAX_TEXTURE_COORD_SETS</a>]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreManualObject_8h_source.html#l00495">495</a> of file <a class="el" href="OgreManualObject_8h_source.html">OgreManualObject.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreManualObject_8h_source.html">OgreManualObject.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
